import { ContainerModule, IClass, ICommand, IInjector, IContext } from "@robotlegsjs/core";
import { IMacro } from "../api/IMacro";
import { ISubCommandMapping } from "../api/ISubCommandMapping";
import { ISubCommandPayload } from "../api/ISubCommandPayload";
import { ISubCommandConfigurator } from "../dsl/ISubCommandConfigurator";
import { AsyncCommand } from "./AsyncCommand";
import { SubCommandMappingList } from "./SubCommandMappingList";
export declare abstract class AbstractMacro extends AsyncCommand implements IMacro {
    protected _injector: IInjector;
    protected _mappings: SubCommandMappingList;
    protected _payloadsModule: ContainerModule;
    constructor(context: IContext, injector: IInjector);
    add(commandClass: IClass<ICommand>): ISubCommandConfigurator;
    remove(commandClass: IClass<ICommand>): void;
    abstract prepare(): void;
    protected executeCommand(mapping: ISubCommandMapping): void;
    protected mapPayloads(payloads: Array<ISubCommandPayload<any>>): void;
    protected unmapPayloads(payloads: Array<ISubCommandPayload<any>>): void;
    protected abstract commandCompleteHandler(success: boolean): void;
}
