"use strict";
// ------------------------------------------------------------------------------
//  Copyright (c) 2017-present, RobotlegsJS. All Rights Reserved.
//
//  NOTICE: You are permitted to use, modify, and distribute this file
//  in accordance with the terms of the license agreement accompanying it.
// ------------------------------------------------------------------------------
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var AbstractMacro_1 = require("./AbstractMacro");
var ParallelMacro = /** @class */ (function (_super) {
    tslib_1.__extends(ParallelMacro, _super);
    function ParallelMacro() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this._executionCount = 0;
        _this._success = true;
        _this._running = false;
        return _this;
    }
    ParallelMacro.prototype.execute = function () {
        this._commands = this._mappings.getList();
        if (this.hasCommands) {
            var numCommands = this._commands.length;
            var i = 0;
            this._running = true;
            for (i = 0; i < numCommands && this._success; i++) {
                var mapping = this._commands[i];
                this.executeCommand(mapping);
            }
        }
        else {
            this.dispatchComplete(true);
        }
    };
    Object.defineProperty(ParallelMacro.prototype, "hasCommands", {
        get: function () {
            return this._mappings && this._commands.length > 0;
        },
        enumerable: true,
        configurable: true
    });
    ParallelMacro.prototype.commandCompleteHandler = function (success) {
        this._executionCount++;
        this._success = this._success && success;
        if (this._running && (!this._success || this._executionCount === this._commands.length)) {
            this.dispatchComplete(this._success);
        }
    };
    ParallelMacro.prototype.dispatchComplete = function (success) {
        this._running = false;
        this._success = true;
        this._executionCount = 0;
        this._commands = null;
        _super.prototype.dispatchComplete.call(this, success);
    };
    return ParallelMacro;
}(AbstractMacro_1.AbstractMacro));
exports.ParallelMacro = ParallelMacro;
//# sourceMappingURL=ParallelMacro.js.map